@charset "UTF-8";

:root{
    --primary-navy: #00253B;     /* フォントカラー */
    --primary-khaki: #2B3700;     /* フォントカラー */
    --primary-pink: #FF0069;    /* フォントカラー */
    --primary-beige: #AEA392;    /* フォントカラー */
    --primary-white: #fff;    /* フォントカラー */
    --primary-rightbeige: #E7DBCA;     /* バックグランドカラー */
    --primary-rightgreen:#BAC0A2;
    --primary-whitebeige: #FCF7F1;     /* バックグランドカラー */
    --secondary-color: #FFFFFF;   /* 背景色 */
    --btn-color: linear-gradient(90deg, #DFCACA 0.08%, #E7B8B8 99.93%);   /* ボタン*/
    --font-sans: "Noto Sans JP", sans-serif;
    --font-serif: "Noto Serif JP", serif;
    --font-hand: "Babylonica", cursive;
}

.body{
    font-family: var(--font-serif);
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 1;
    color: var(--primary-navy);
    background-color: var(--secondary-color);
}

/* ===== ヘッダー ===== */
.header-b{
    background: url('../img/Bridal_head.jpeg') lightgray 50% / cover no-repeat;
    background-size: 285%; /* ← 拡大率（デフォルトは cover） */
    background-position: center ; /* 表示位置調整 */
    background-repeat: no-repeat;
    display: flex;
    max-width: 100%;
    height: auto;
    padding-bottom: 70px;
    gap: 130px;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
}

.header-inner-b{
    display: flex;
    width: 100%;
    height: auto;
    padding: 25px 30px 20px;
    justify-content: space-between;
    align-items: center;
}

/* ===== PC（769px以上） ===== */
@media screen and (min-width: 769px) {
  .header-b {
    background-size: cover;
    background-position: center;
  }

.header-inner-b{
    display: flex;
    padding: 30px 50px;
    align-items: center;
    gap: 32px;
    align-self: stretch;
    justify-content: flex-start;
}
}
.mainvisualText-b{
    display: flex;
    padding-right: 40px;
    flex-direction: column;
    align-items: flex-end;
    align-self: stretch;
}

.mainvisualTitle-b{
    transform: rotate(-15.688deg);
    color: rgba(255, 255, 255, 0.70);
    text-align: right;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    font-family: var(--font-hand);
    font-size: 6.4rem;
    line-height: 1;
}

.mainvisualCopy-b{
    color: var(--primary-white);
    text-align: right;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.6;
}


.bridal-about{
    display: inline-flex;
    padding: 20px 30px 0; 
    text-align: left;
    font-weight: 500;
    font-size: 2rem;
    line-height: 1.8;
}


.bridal-txt{
    display: inline-flex;
    padding: 20px 30px 40px; 
    text-align: left;
    font-weight: 400;
    line-height: 1.8;
}

/* bridal txt pc */
@media screen and (min-width: 769px){
.bridal-main{
    margin: 0 auto;
    padding: 30px 0 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.bridal-about{
    text-align: center;
    padding: 0;
    font-weight: 500;
    font-size: 2.4rem;
    line-height: 1.8;
}
.bridal-txt{ 
    display: flex;
    text-align: center;
    font-size: 1.8rem;
    padding: 0;
}
.mainvisualText-b{
    padding-right: 100px;
}
.mainvisualTitle-b{
    font-size: 9rem;
}
.mainvisualCopy-b{
    font-size: 3.6rem;
}
}
/* ===== Bridal ===== */

.bridal-flex{
    display: flex;
    padding: 60px 15px 90px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 45px;
    background-image: url(../img/background_bridal.jpeg);
    background-repeat: no-repeat;
    background-position: center;    /* 中央に配置 */
    background-size: cover;      /* 要素全体をカバー（縦横比を維持） */
}
.btn-pc{
    display: none;
}

/* pc */
@media screen and (min-width: 769px){
.bridal-flex{
    display: flex;
    padding: 60px 20px;
    justify-content: center;
    align-items: center;
    gap: 5.3svw;
}

.bridal-topic{
    gap: 40px;
}
.bridal-points{
    margin-bottom: 30px;
}
}

.bridal-topic{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    margin: 0 auto;
    padding: 0;
}

.bridal-box{
    display: flex;
    align-items: flex-end;
    gap: 12px;
    display: flex;
    text-align: center;
    font-size: 3.2rem;
    line-height: 1;
}

.bridalJtitle{
    text-align: center;
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 1;
}

.bridal-head{
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1.4;
    letter-spacing: 1.6px;
}

.bridal-points{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
    align-self: stretch;
    margin-bottom: 25px;
}

.bridal-check{
    display: flex;
    align-items: center;
    gap: 10px;
}

.check-txt{
    font-family: var(--font-sans);
    line-height: 1; 
}

.linetxt{
    font-family: var(--font-sans);
    line-height: 1;
}

/* pc */
@media screen and (min-width: 769px){
.bridal-box{
    font-size:3.2rem;
}
.bridalJtitle{
    font-size: 1.8rem;
}
.bridal-head{
    font-size: 2rem;
}
.spBr{
    display: none;
}
.check-txt{
   font-size: 1.8rem; 
}

.bridal-topic{
    margin: 0;
}
}

.bridal-menu{
    display: flex;
    width: 100%;
    align-items: center;
    margin: 0 auto;
}

.bridal-img{
    width: 40%;
    height: auto;
    border-radius: 170px 170px 170px 170px;
    box-shadow: 4px 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.bridal-price-box{
    display: flex;
    flex-direction: column;
    width: 60%;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.bridal-rank{
    display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: 5px;
}

.bridal-title{
    text-align: center;
    font-family: var(--font-sans);
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1;
    letter-spacing: 2.2px;
}

.bridal-line{
    width: 180px;
    height: 0.5px;
    background: #000;
}

.bridal-price{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.bridal-desc{
    text-align: center;
    font-family: var(--font-sans);
    line-height: 1;
    letter-spacing: 1.4px;
}

.bridal-cost{
    display: flex;
    align-items: center;
    gap: 20px;
}

.price-first{
    color: var(--primary-khaki);
    font-family: "Noto Sans JP";
    line-height: 1;
    display: inline-block;
    padding: 5px 10px;
    background: #FFBDBD;
    white-space: nowrap;
}

.price-number{
    text-align: center;
    font-size: 2rem;
    font-weight: 700;
    line-height: 1;
    display: flex;
    gap: 5px;
    align-items: flex-end;
}

.price-en{
    text-align: center;
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1;
    letter-spacing: 3.2px;
}


/* pc */
@media screen and (min-width: 769px){
.bridal-menu{
    margin: 0;
    padding: 0 90px;
}

.bridal-img{
    width: 50%;
}

.bridal-price-box{
    width: 50%;
}

.bridal-title{
    font-size: 2.2rem;
}

.bridal-desc{
    font-size: 2rem;
}

.price-first{
    font-size: 2rem;
}

.price-number{
    font-size: 2.4rem;
}

.price-en{
    font-size: 1.8rem;
}
}